package com.nisum.service;


import com.nisum.dataClass.Util;
import com.nisum.model.Order;
import com.nisum.model.Product;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import reactor.core.publisher.Flux;


@Slf4j
@Service
public class MyServiceImpl implements MyService {

    @Autowired
    Util util;


   public Flux<Order> getAllOrders(){
       return Flux.fromIterable(util.getOrderListFromData());
   }

    public Flux<Product> getAllProducts(){
        return Flux.fromIterable(util.getProductListFromData());
    }
}
